## org.eclipse.datatools.connectivity.oda.design
Interface ResultSubset

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface ResultSubset

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Result Subset'. Defines a subset of columns in a data set design's result set.

The following features are supported:

- `Data Set Design`
- `Result Set Name`
- `Column Identifiers`

Since:
  3.3.2
See Also:
  `DesignPackage.getResultSubset()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`void` `addColumnIdentifier(DataElementIdentifier columnIdentifier)` Appends the specified column identifier to the end of the 'Column Identifiers' containment reference list.
`void` `addColumnIdentifier(java.lang.String columnName)` Appends the specified column, identified by name only, to the end of the 'Column Identifiers' containment reference list.
`void` `addColumnIdentifier(java.lang.String columnName, int columnPosition)` Appends the specified column, identified by name and position, to the end of the 'Column Identifiers' containment reference list.
`DataElementIdentifiers` `getColumnIdentifiers()` Returns the value of the 'Column Identifiers' containment reference.
`DataSetDesign` `getDataSetDesign()` Returns the value of the 'Data Set Design' containment reference.
`java.lang.String` `getResultSetName()` Returns the value of the 'Result Set Name' attribute.
`void` `setColumnIdentifiers(DataElementIdentifiers value)` Sets the value of the '`Column Identifiers`' containment reference.
`void` `setDataSetDesign(DataSetDesign value)` Sets the value of the '`Data Set Design`' containment reference.
`void` `setResultSetName(java.lang.String value)` Sets the value of the '`Result Set Name`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getDataSetDesign

    DataSetDesign getDataSetDesign()

  Returns the value of the 'Data Set Design' containment reference. A nested instance of dataSetDesign to use for retrieving the referenced data set column. If not specified, the same data set design that contains this design element would apply by default.

  Returns:
    the value of the 'Data Set Design' containment reference.
  See Also:
    `setDataSetDesign(DataSetDesign)`, `DesignPackage.getResultSubset_DataSetDesign()`

### setDataSetDesign

    void setDataSetDesign(DataSetDesign value)

  Sets the value of the '`Data Set Design`' containment reference.

  Parameters:
    `value` - the new value of the 'Data Set Design' containment reference.
  See Also:
    `getDataSetDesign()`

### getResultSetName

    java.lang.String getResultSetName()

  Returns the value of the 'Result Set Name' attribute. Identifies the result set of the data set design if more than one result sets are available, and can be identified by name. If no results set is explicitly specified here, the primary result set would apply by default.

  Returns:
    the value of the 'Result Set Name' attribute.
  See Also:
    `setResultSetName(String)`, `DesignPackage.getResultSubset_ResultSetName()`

### setResultSetName

    void setResultSetName(java.lang.String value)

  Sets the value of the '`Result Set Name`' attribute.

  Parameters:
    `value` - the new value of the 'Result Set Name' attribute.
  See Also:
    `getResultSetName()`

### getColumnIdentifiers

    DataElementIdentifiers getColumnIdentifiers()

  Returns the value of the 'Column Identifiers' containment reference. Uniquely identifies one or more columns in the specified result set. Multiple columns are combined in the specified sequence, such as for a compounded attribute.

  Returns:
    the value of the 'Column Identifiers' containment reference.
  See Also:
    `setColumnIdentifiers(DataElementIdentifiers)`, `DesignPackage.getResultSubset_ColumnIdentifiers()`

### setColumnIdentifiers

    void setColumnIdentifiers(DataElementIdentifiers value)

  Sets the value of the '`Column Identifiers`' containment reference.

  Parameters:
    `value` - the new value of the 'Column Identifiers' containment reference.
  See Also:
    `getColumnIdentifiers()`

### addColumnIdentifier

    void addColumnIdentifier(java.lang.String columnName)

  Appends the specified column, identified by name only, to the end of the 'Column Identifiers' containment reference list.

  Parameters:
    `columnName` - the name of column identifier to be appended

### addColumnIdentifier

    void addColumnIdentifier(java.lang.String columnName,
                             int columnPosition)

  Appends the specified column, identified by name and position, to the end of the 'Column Identifiers' containment reference list.

  Parameters:
    `columnName` - the name of column identifier to be appended; the name may be empty if the column can only be identified by position
    `columnPosition` - the 1-based position of the column within a result set

### addColumnIdentifier

    void addColumnIdentifier(DataElementIdentifier columnIdentifier)

  Appends the specified column identifier to the end of the 'Column Identifiers' containment reference list.

  Parameters:
    `columnIdentifier` - the column identifier to be appended